' Copyright (c) 2018 ActivePDF, Inc.
' ActivePDF Toolkit 2018
' Example generated 09/05/18 

Dim FSO, strPath, intOpenOutputFile, tkVer

' Get current path
Set FSO = CreateObject("Scripting.FileSystemObject")
strPath = FSO.GetFile(Wscript.ScriptFullName).ParentFolder & "\"
Set FSO = Nothing

' Instantiate Object
Set oTK = CreateObject("APToolkit.Object")

' Here you can place any code that will alter the output file
' Such as adding security, setting page dimensions, etc.

' Set the PDF page Height and Width (72 = 1")
oTK.OutputPageHeight = 792.0
oTK.OutputPageWidth = 612.0

' Create the new PDF file
intOpenOutputFile = oTK.OpenOutputFile(strPath & "HomeMadeEUDC.pdf")
If intOpenOutputFile <> 0 Then
  ErrorHandler "OpenOutputFile", intOpenOutputFile
End If

' After OpenOutputFile and before CloseOutputFile various
' functions can be called to create the PDF as desired
' A few examples are shown below

' Each time a new page is required call NewPage
oTK.NewPage 

' Get the current version of Toolkit and save it to print on the PDF
tkVer = oTK.ToolkitVersion

' Text can be added onto the new page with
' SetFont, PrintText and PrintMultilineText functions

oTK.SetFont "EUDC", 14

oTK.PrintText 72.0, 720.0, "Test  with  homemade  EUDC."
oTK.PrintText 72.0, 650.0, "Toolkit  version  "&tkver

' Images can be added onto the new page with
' PrintImage, PrintJPEG and PrintTIFF
'oTK.PrintJPEG strPath & "IMG.jpg", 72.0, 300.0, 468.0, 400.0, true

' Close the new file to complete PDF creation
oTK.CloseOutputFile 

' Release Object
Set oTK = Nothing

' Process Complete
Wscript.Echo("Done!")

' Error Handling
Sub ErrorHandler(method, outputCode)
  Wscript.Echo("Error in " & method & ": " & outputCode)
End Sub